<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
user_access('adm_panel_show',null,'/index.php?'.SID);
include 'system.php';
$set['title'] = 'Профессиоальная защита для вашего сайта '.$systems_bleik['title'].'';
include_once '../sys/inc/thead.php';
title();
err();
aut();
?>
<link rel="stylesheet" href="style.css" type="text/css" />
<?
$set['p_str'] =20;
echo "<div class='foot'>Все последние входы на модуль с ip адресов</b></div>\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `bleikesip`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$ip = mysql_query("SELECT id,ip FROM bleikesip LIMIT $start, $set[p_str]");
$ip1 = mysql_fetch_array($ip);

do
{
echo '<div class="bleik">';
if ($ip1['ip']!=0){echo "Последний IP адрес: ".long2ip($ip1['ip'])."<br />";}
else
{
echo '<center><b>IP адресов нет</b></center> ';
}
echo '</div>';
}
while($ip1 = mysql_fetch_array($ip));
if ($k_page>1)str('?',$k_page,$page);
echo '<div class="bleik">';
echo '<b><a href="ip.php?act=del">Очистить ip адреса</a></b></div>';
if($_GET['act'] =="del")
{
echo '<div class="menu_razd">Очистка всех последних ip адресов которые были провены</div>';
echo '<div class="bleik">Всего ip адресов: ';
echo mysql_result(mysql_query("SELECT COUNT(*) FROM bleikesip"),0);

echo '<center><b><a href="ip.php?del=delete">Очистить все ip адреса</a></b></center>';
echo '</div>';

}
if($_GET['del'] == "delete")
{
$ypa = mysql_query("DELETE FROM bleikesip");

if($ypa == true)
{echo '<div class="bleik">Все ip адреса были удалены успешно</div>';}
else{echo '<div class="bleik">IP адреса не удалены</div>';}
}


linbSAleik();
include_once '../sys/inc/tfoot.php';
?>